Summary: A secure replacement for inetd.
Name: xinetd
Version: 2.1.8.9pre9
Release: 3
License: Distributable
Group: System Environment/Daemons
Source: http://synack.net/xinetd/xinetd-%{version}.tar.gz
Source1: xinetd.init
Source2: xinetd.conf
Source3: xinetd-inetdconvert
Patch0: xinetd-2.1.8.9pre9-skipjunkfiles.patch
Patch1: xinetd-2.1.8.9pre9-pidfile.patch
Provides: inetd
Prereq: /sbin/chkconfig /etc/init.d
Requires: filesystem >= 2.0.1
URL: http://synack.net/xinetd/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: inetd

%description
Xinetd is a secure replacement for inetd, the Internet services
daemon.  Xinetd provides access control for all services based on the
address of the remote host and/or on time of access and can prevent
denial-of-access attacks. Xinetd provides extensive logging, has no
limit on the number of server arguments and you can bind specific
services to specific IP addresses on your host machine. It also enables
information of a service to be in a separate file

%prep
%setup -q 
%patch0 -p1
%patch1 -p1

%build
autoconf
%configure --with-libwrap
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
%makeinstall DAEMONDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=$RPM_BUILD_ROOT/%{_mandir}

install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/xinetd
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/xinetd.conf
install -m 755 %SOURCE3 $RPM_BUILD_ROOT/usr/sbin/inetdconvert
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/itox*
rm -f $RPM_BUILD_ROOT/usr/sbin/itox
rm -f $RPM_BUILD_ROOT/usr/sbin/xconv.pl

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add xinetd 
fi

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del xinetd 
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service xinetd condrestart >/dev/null 2>&1
fi


%files
%defattr(-,root,root)
%doc INSTALL xinetd/CHANGELOG xinetd/COPYRIGHT README xinetd/sample.conf 

%config /etc/xinetd.conf
/usr/sbin/*
%{_mandir}/*/*
%config /etc/rc.d/init.d/xinetd

%changelog
* Tue Aug 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added support for "-pidfile" option (#15531)

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added patch to ignore .rpmsave, .rpmorig, .rpmnew, ~ 
  suffixed files (#15304)

* Thu Aug 03 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre9, old patches are now integrated.

* Wed Aug 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix converting of "wait" argument (#13884) 
- remove tcpd and /usr/sbin/tcpd from inetd.conf services
  before converting - xinetd is linked against tcp_wrappers 

* Mon Jul 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix linuxconf restart problem (#14856)
- fix conditional restart
- mark /etc/xinetd.conf as a configuration file

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- um, we *need* to prereq /etc/init.d

* Mon Jul 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't require /etc/init.d

* Sat Jul 22 2000 Bill Nottingham <notting@redhat.com>
- rebuild

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix the sections of the man pages (#14244)

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove itox, as it wouldn't do the right thing with our
  configuration
- same with xconv.pl
- some changes to the installation process

* Mon Jul 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- move initscript back to /etc/rc.d/init.d

* Fri Jul 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- change process name in init file

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- start the daemon with the "-reuse" flag

* Thu Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- "Prereq:", not "Requires:" for /etc/init.d

* Wed Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- require /etc/init.d

* Wed Jul  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- upper the number of instances to 60

* Sun Jul  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix a memory-allocation bug

* Wed Jun 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre8

* Wed Jun 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- moved to /etc/init.d

* Wed Jun 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- changed specfile and initfile to implement conditional
  restart

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre7
- now obsoletes inetd
- use %%{_tmppath}

* Sun Jun 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre6
- added converter script which can convert specified or 
  remaing uncoverted services
- use %%{_mandir}
- removed +x on xinetd.conf

* Wed May 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 2.1.8.9pre4
- authpriv patch no longer needed

* Tue May 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- /etc/xinetd.d is now part of the filesystem package
- more fixes to xinetd.init

* Mon May 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed some obvious bugs in xinetd.init
- added a default xinetd.conf
- patched xinetd to understand LOG_AUTHPRIV

* Fri May 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated version
- removed a define %ver (we already have %version)
- removed some extra CFLAGS declarations
- added configuration directory, /etc/xinetd.d

* Mon Feb 21 2000 Tim Powers <timp@redhat.com>
- fixed broken postun sections, should have been *preun*
- fixed broken gzip of manpages

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1.8.8p8
- Fix the init script (Bug #7277)
- remove our patches (no longer required)

* Tue Sep 21 1999 Bill Nottingham <notting@redhat.com>
- add -lnsl

* Tue Sep 7 1999 Tim Powers <timp@redhat.com>
- modification top install routine

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated source to 2.1.8.6b6
- built for 6.1

* Mon Apr 26 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.8.6b5
- build for PowerTools

* Mon Jan 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.8.5p2

* Tue Dec  1 1998 Bill Nottingham <notting@redhat.com>
- intial build
